# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IAction

Packages that use IAction
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IAction in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IAction
Modifier and Type
Method
Description
`IAction`
IReportDesign.`createAction()`
Creates the action structure.
`IAction`
IDataItem.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`IAction`
IImage.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`IAction`
ILabel.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IAction
Modifier and Type
Method
Description
`void`
IDataItem.`addAction(IAction action)`
Adds the action structure to this data item.
`void`
IImage.`addAction(IAction action)`
Adds the action structure to this data item.
`void`
ILabel.`addAction(IAction action)`
Adds the action structure to this Label item.